﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace EscapeKeyNewValue
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.ultraGrid1.KeyUp += new KeyEventHandler(ultraGrid1_KeyUp);
            this.ultraGrid1.BeforeCellCancelUpdate +=new CancelableCellEventHandler(ultraGrid1_BeforeCellCancelUpdate);
            this.ultraGrid1.AfterExitEditMode += new EventHandler(ultraGrid1_AfterExitEditMode);
        }
        void ultraGrid1_AfterExitEditMode(object sender, EventArgs e)
        {
            this.ultraLabel1.Text = this.ultraGrid1.ActiveCell.Value.ToString();
        }        
        void ultraGrid1_KeyUp(object sender, KeyEventArgs e)
        {
            var grid = (UltraGrid)sender;

            if (e.KeyCode == Keys.Escape)
            {
                // ExitEditMode
                grid.PerformAction(UltraGridAction.DeactivateCell);
            }
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DataSource = this.ultraDataSource1;
            this.ultraGrid1.UpdateMode = UpdateMode.OnCellChange;   
        }
      
        private void ultraGrid1_BeforeCellCancelUpdate(object sender, CancelableCellEventArgs e)
        {
            e.Cancel = true;
        }
    }
}
